<ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="medium" color="#fff" type="ball-clip-rotate"></ngx-spinner>

<div class="row">
  <div class="col-md-12">
    <h4 class="inner-title">Users</h4>
  </div>
</div>
<div class="row">
  <div class="col-md-12 col-xs-12">
    <div class="box">
      <div class="box-header">
        <h3 class="box-title pull-left">
          <div class="row">
            <div class="col-md-12">
              <input type="text" name="table_search" class="form-control" placeholder="Search">
              <div class="input-group-btn">
              </div>
            </div>
          </div>
        </h3>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <div class=" table-responsive no-padding">
          <table class="table table-striped table-hover">
            <tbody>
              <tr>
                <th>Sr. no.</th>
                <th>Name</th>
                <th>Email</th>
                <th>Mobile No.</th>
                <th class="text-center">Action</th>
              </tr>
              <ng-container *ngIf="customer_array?.length">
                <tr *ngFor="let temp of customer_array; let i = index;">
                  <td>{{i+1}}</td>
                  <td>{{temp.first_name}} {{temp.last_name}}</td>
                  <td>{{temp.email}}</td>
                  <td>{{temp.mobile_no}}</td>
                  <td class="text-center">
                    <a routerLink="/bac/users/edit/{{temp?._id}}" class="table-link" data-toggle="tooltip"
                      data-placement="top" title="Edit" data-original-title="Edit">
                      <span class="fa-stack">
                        <i class="fa fa-square fa-stack-2x"></i>
                        <i class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                      </span>
                    </a>
                    <a href="javascript:void(0);" (click)="deleteUser(temp?._id, i)" class="text-danger"
                      data-toggle="tooltip" data-placement="top" title="Delete" data-original-title="Delete">
                      <span class="fa-stack">
                        <i class="fa fa-square fa-stack-2x"></i>
                        <i class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                      </span>
                    </a>
                  </td>
                </tr>
              </ng-container>

              <ng-container *ngIf="!customer_array?.length">
                <tr>
                  <td colspan="6">No record found</td>
                </tr>
              </ng-container>
            </tbody>
          </table>
          <div class="text-right">
            <ul *ngIf="pager.pages && pager.pages.length" class="pagination pagination-md">
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(1); getCustomerDetails();">First</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(pager.currentPage - 1); getCustomerDetails();">Previous</a>
              </li>
              <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                <a (click)="setPage(page); getCustomerDetails();">{{page}}</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.currentPage + 1); getCustomerDetails();">Next</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.totalPages); getCustomerDetails();">Last</a>
              </li>
            </ul>
          </div>
        </div>

      </div>
      <!-- /.box-body -->
    </div>
  </div>
</div>
